Package org.apache.commons.math3.ode

# Interface MultistepIntegrator.NordsieckTransformer

Enclosing class:
  `MultistepIntegrator`

@Deprecated public static interface MultistepIntegrator.NordsieckTransformer
Deprecated.
as of 3.6 this unused interface is deprecated
Transformer used to convert the first step to Nordsieck representation.

## Method Summary

Modifier and Type
Method
Description
`Array2DRowRealMatrix`
`initializeHighOrderDerivatives(double h, double[] t, double[][] y, double[][] yDot)`
Deprecated.
Initialize the high order scaled derivatives at step start.

## Method Details

### initializeHighOrderDerivatives

Array2DRowRealMatrix initializeHighOrderDerivatives(double h, double[] t, double[][] y, double[][] yDot)
Deprecated.
Initialize the high order scaled derivatives at step start.

Parameters:
  `h` - step size to use for scaling
  `t` - first steps times
  `y` - first steps states
  `yDot` - first steps derivatives
Returns:
  Nordieck vector at first step (h2/2 y''n, h3/6 y'''n ... hk/k! y(k)n)